libKF5PurposeWidgets5-5.43.0-1.1.i586.rpm


Advertisement

Description

libKF5PurposeWidgets5 - Framework to integrate services and actions - GUI library

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package name libKF5PurposeWidgets5
Package version 5.43.0
Package release 1.1
Package architecture i586
Package type rpm
Installed size 29.70 KB
Download size 18.41 KB
Official Mirror widehat.opensuse.org
This framework offers the possibility to create integrate services and actions
on any application without having to implement them specifically. Purpose will
offer them mechanisms to list the different alternatives to execute given the
requested action type and will facilitate components so that all the plugins
can receive all the information they need.
This package contains the library files of the package needed to use GUI widgets.

Alternatives

Package Version Architecture Repository
libKF5PurposeWidgets5-5.53.0-39.1.i586.rpm 5.53.0 i586 KDE Frameworks 5
libKF5PurposeWidgets5-5.53.0-39.1.x86_64.rpm 5.53.0 x86_64 KDE Frameworks 5
libKF5PurposeWidgets5-5.51.0git.20181214T130214~72ea330-24.1.i586.rpm 5.51.0git.20181214T130214~72ea330 i586 KDE Frameworks Unstable
libKF5PurposeWidgets5-5.51.0git.20181214T130214~72ea330-24.1.x86_64.rpm 5.51.0git.20181214T130214~72ea330 x86_64 KDE Frameworks Unstable
libKF5PurposeWidgets5-5.43.0-1.1.x86_64.rpm 5.43.0 x86_64 openSUSE Oss
libKF5PurposeWidgets5 - - -

Requires

Name Value
/sbin/ldconfig -
libKF5I18n.so.5 -
libKF5Purpose.so.5 -
libQt5Core.so.5 -
libQt5Core.so.5(Qt_5) -
libQt5Core.so.5(Qt_5.10) -
libQt5Gui.so.5 -
libQt5Gui.so.5(Qt_5) -
libQt5Qml.so.5 -
libQt5Qml.so.5(Qt_5) -
libQt5Widgets.so.5 -
libQt5Widgets.so.5(Qt_5) -
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.4) -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(GLIBCXX_3.4) -
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

Provides

Name Value
libKF5PurposeWidgets.so.5 -
libKF5PurposeWidgets5 = 5.43.0-1.1
libKF5PurposeWidgets5(x86-32) = 5.43.0-1.1

Download

Type URL
Binary Package libKF5PurposeWidgets5-5.43.0-1.1.i586.rpm
Source Package purpose-5.43.0-1.1.src.rpm

Install Howto

Install libKF5PurposeWidgets5 rpm package:

# zypper install libKF5PurposeWidgets5

See Also

Package Description
libKF5QGpgme5-16.08.3-2.3.i586.rpm C++ bindings/wrapper for gpgme: Build Environment
libKF5QGpgme5-16.08.3-2.3.x86_64.rpm C++ bindings/wrapper for gpgme: Build Environment
libKF5QGpgme5-32bit-16.08.3-2.3.x86_64.rpm C++ bindings/wrapper for gpgme: Build Environment
libKF5QuickAddons5-32bit-5.43.0-1.1.x86_64.rpm Integration of QML and KDE workspaces
libKF5QuickAddons5-5.43.0-1.1.i586.rpm Integration of QML and KDE workspaces
libKF5QuickAddons5-5.43.0-1.1.x86_64.rpm Integration of QML and KDE workspaces
libKF5Runner5-32bit-5.43.0-1.1.x86_64.rpm Plugins responsible for better integration of Qt applications in KDE Workspace
libKF5Runner5-5.43.0-1.1.i586.rpm Plugins responsible for better integration of Qt applications in KDE Workspace
libKF5Runner5-5.43.0-1.1.x86_64.rpm Plugins responsible for better integration of Qt applications in KDE Workspace
libKF5Sane5-17.12.2-1.1.i586.rpm KDE scan library
libKF5Sane5-17.12.2-1.1.x86_64.rpm KDE scan library
libKF5Screen7-32bit-5.12.3-1.1.x86_64.rpm KDE's screen management library
libKF5Screen7-5.12.3-1.1.i586.rpm KDE's screen management library
libKF5Screen7-5.12.3-1.1.x86_64.rpm KDE's screen management library
libKF5Solid5-32bit-5.43.0-2.1.x86_64.rpm KDE Desktop hardware abstraction
Advertisement
Advertisement